com.example.instilostandfound

## Class MyPostsAdaptor

- java.lang.Object
- - androidx.recyclerview.widget.RecyclerView.Adapter<MyPostsAdaptor.myViewHolder>
  - - com.example.instilostandfound.MyPostsAdaptor

-     public class MyPostsAdaptor
      extends androidx.recyclerview.widget.RecyclerView.Adapter<MyPostsAdaptor.myViewHolder>

  Adaptor class for my posts

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `MyPostsAdaptor.myViewHolder` Creates recycler view for viewing item image and the title
    `static interface` | `MyPostsAdaptor.OnItemClickListener` Implements item on click methods on the recycler view

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MyPostsAdaptor(android.content.Context context, java.util.List<CreateFoundObject> uploads)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getItemCount()` Gets the count of total data /objects
    `void` | `onBindViewHolder(MyPostsAdaptor.myViewHolder holder, int position)` Sets the image uri onto the view
    `MyPostsAdaptor.myViewHolder` | `onCreateViewHolder(android.view.ViewGroup parent, int viewType)` Creates view holder for adapter class
    `void` | `setOnItemClickListener(MyPostsAdaptor.OnItemClickListener listener)` Declaration for on click listener

    - ### Methods inherited from class androidx.recyclerview.widget.RecyclerView.Adapter

      `bindViewHolder, createViewHolder, getItemId, getItemViewType, hasObservers, hasStableIds, notifyDataSetChanged, notifyItemChanged, notifyItemChanged, notifyItemInserted, notifyItemMoved, notifyItemRangeChanged, notifyItemRangeChanged, notifyItemRangeInserted, notifyItemRangeRemoved, notifyItemRemoved, onAttachedToRecyclerView, onBindViewHolder, onDetachedFromRecyclerView, onFailedToRecycleView, onViewAttachedToWindow, onViewDetachedFromWindow, onViewRecycled, registerAdapterDataObserver, setHasStableIds, unregisterAdapterDataObserver`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MyPostsAdaptor

          public MyPostsAdaptor(android.content.Context context,
                                java.util.List<CreateFoundObject> uploads)

  - ### Method Detail

    - #### onCreateViewHolder

          @NonNull
          public MyPostsAdaptor.myViewHolder onCreateViewHolder(@NonNull
                                                                         android.view.ViewGroup parent,
                                                                         int viewType)

      Creates view holder for adapter class
      Specified by:
        `onCreateViewHolder` in class `androidx.recyclerview.widget.RecyclerView.Adapter<MyPostsAdaptor.myViewHolder>`
      Parameters:
        `parent` - default parent
        `viewType` - type
      Returns:

    - #### onBindViewHolder

          public void onBindViewHolder(@NonNull
                                       MyPostsAdaptor.myViewHolder holder,
                                       int position)

      Sets the image uri onto the view
      Specified by:
        `onBindViewHolder` in class `androidx.recyclerview.widget.RecyclerView.Adapter<MyPostsAdaptor.myViewHolder>`
      Parameters:
        `holder` - image holder view layout
        `position` - position of image

    - #### getItemCount

          public int getItemCount()

      Gets the count of total data /objects
      Specified by:
        `getItemCount` in class `androidx.recyclerview.widget.RecyclerView.Adapter<MyPostsAdaptor.myViewHolder>`
      Returns:
        count value

    - #### setOnItemClickListener

          public void setOnItemClickListener(MyPostsAdaptor.OnItemClickListener listener)

      Declaration for on click listener
      Parameters:
        `listener` - listener